<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.8.2 - Last modified 12/26/2010
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');

// Input
$picno = w_gpc('picno', 'i+');


// Pic owner
$result = db_query ("SELECT ID_2, usrname, title, comment, px, ptype, rtype, ttype, adult, usethumb FROM {$db_p}oekakidta WHERE PIC_ID='$picno'");
if ($result && db_num_rows ($result) > 0) {
	$their_row = db_fetch_array ($result);
} else {
	report_err('Unable to read picture #'.$picno);
}


// Non-admin edit
if (($their_row['usrname'] != $OekakiU) && (!$flags['admin'])) {
	report_err('You cannot edit a picture that does not belong to you.');
}


// Admin edit
$change_editon_to_no = 0;
if ($flags['admin'] && ($their_row['usrname'] != $OekakiU)) {
	// So we don't have to update language files
	$their_row['comment'] .= "\n\n[b](Edited by {$OekakiU})[/b]";
	$change_editon_to_no = 1;
}


// Code borrowed from comment.php
$resno = $picno;

if ($their_row['px'] < $screensize) {
	if (THUMB_COMMENT != 1) {
		// hacks.php
		$their_row['usethumb'] = 0;
	}
}

$master_image = $p_pic.$resno.'.'.$their_row['ptype'];
if (!empty ($their_row['rtype']) && $their_row['usethumb'] == 1) {
	$thumbnail_image = $r_pic.$resno.'.'.$their_row['rtype'];
} elseif (!empty ($their_row['ttype']) && $their_row['usethumb'] == 1) {
	$thumbnail_image = $t_pic.$resno.'.'.$their_row['ttype'];
} else {
	$thumbnail_image = $master_image;
}


require ('header.php');


?>
<table width="<?php echo $hWidth;?>" cellpadding="<?php echo $hCellPadding;?>" align="center" cellspacing="2" class="infotable">
<tr>
<td>
	<form name="formEditPic" method="post" action="functions.php">
		<input name="action" type="hidden" value="picedit" />

		<table width="100%" border="0" cellspacing="0" cellpadding="3" align="center">
		<tr>
		<td colspan="2" class="header">
			<strong><?php echo $langop_erpic_title;?> (<a href="#" onclick="openWindow('niftyusage.php', 500, 300); return false"><?php echo $langop_common_niftytoo;?></a>)</strong>
		</td>
		</tr>

		<tr>
		<td colspan="2">
<?php
if ($their_row['adult'] != 1 || $flags['X']) {
	echo ("			<div align=\"center\"><a href=\"{$master_image}\"><img src=\"{$thumbnail_image}\" style=\"border-width: 1px;\" alt=\"\" /></a></div>\n");
} else {
	echo ("			<div align=\"center\"><a href=\"{$master_image}\"><img src=\"{$cfg['porn_img']}\" style=\"border: 0;\" alt=\"\" /></a></div>\n");
}
?>
		</td>
		</tr>


		<tr>
		<td colspan="2">&nbsp;</td>
		</tr>


		<tr>
		<td width="22%">
			<div align="right"><?php echo $langop_install_title2;?>:</div>
		</td>
		<td width="78%">
			<font size="-2">
				<input type="text" name="title2" value="<?php echo w_html_chars($their_row['title']);?>" class="txtinput" />
			</font>
		</td>
		</tr>

		<tr>
		<td width="22%">
			<div align="right"><?php echo $langop_word_comments;?>:</div>
		</td>
		<td width="78%">
			<font size="-2">
				<textarea name="comment2" cols="40" rows="5" class="multiline"><?php echo w_html_chars($their_row['comment']);?></textarea>
			</font>
		</td>
		</tr>

<?php if ($flags['admin']) { ?>
		<tr>
		<td width="22%">
			<div align="right">&ldquo;<?php echo $langop_common_editedon;?>?&rdquo;</div>
		</td>
		<td width="78%">
			<font size="-2">
				<select name="editon" class="multiline">
<?php if ($change_editon_to_no) { ?>
					<option value="yes"><?php echo $langop_word_yes;?></option>
					<option value="no" selected="selected"><?php echo $langop_word_no;?></option>
<?php } else { ?>
					<option value="yes" selected="selected"><?php echo $langop_word_yes;?></option>
					<option value="no"><?php echo $langop_word_no;?></option>
<?php } ?>				</select>
			</font>
		</td>
		</tr>

		<tr>
		<td width="22%">
			&nbsp;
		</td>
		<td width="78%">
			&nbsp;
		</td>
		</tr>

<?php } ?>
		<tr>
		<td width="22%">
			<div align="right"><?php echo $langop_comment_adult;?></div>
		</td>
		<td width="78%">
			<font size="-2">
				<input type="checkbox" name="adult" value="1" <?php if ($their_row['adult'] == '1') { echo 'checked="checked"'; } ?> />
			</font>
		</td>
		</tr>

		<tr>
		<td width="22%">&nbsp;</td>
		<td width="78%">
			<font size="-2">
				<br />
				<input type="hidden" name="picno" value="<?php echo $picno;?>" />
				<input type="submit" name="picedit" value="Edit" class="submit" />
			</font>
		</td>
		</tr>
		</table>
	</form>
</td>
</tr>
</table>
<br />
<br />

<?php include ('footer.php'); ?>