<?php // Include only
if (!defined ('BOOT')) exit ('No bootstrap.  Exiting.');

/*
Basic template, Wax Poteto 5.7.0
*/


// Type your info here.  Do not remove or indent the trailing "EOF;"
$tnotes = <<<EOF
Template Name: Plasteline
Author: Xodiak Gangrene
E-Mail: Xod@SexMagnet.com

Comments: I want to eat you!
EOF;


// Template name (same as filename, without ".php")
$filename="plasteline";


// Required variables (used in XHTML for now)
{
	// Must contain a value
	$dStamp="black";
	$hWidth="80%";
	$hCellPadding="1";

	// May be blank
	$bgImage="";
	$cWidth="100%";
	$cCellPadding="1";
}


// Optional helper variables (CSS only)
{
	// These are used in the template only, and may be deleted
	$mainFont = '"Arial", sans-serif';
	$divFontSize = "13px";
}


// Start of CSS
echo <<<EOF
<style type="text/css">
/* Anchor styles MUST be in order */
a {
	color: #800000;
}
a:link {
	text-decoration: none;
}
a:visited {
	text-decoration: none;
	color: #800080;
}
a:hover {
	text-decoration: underline;
}
a:active {
	text-decoration: none;
	color: #000080;
}

body {
	margin: 0 0 0 0;
	color: #804040;
	background-color: #C8B4A0;
	font-family: {$mainFont};
}
.menubar {
	background-color: #B4A08C;
	font-size: 11px;
	border-width: 0 0 1px 0;
	border-color: black;
	border-style: solid;
}
.submenu {
	font-size: 11px;
}
.header {
	color: #804040;
	background-color: #DCC8B4;
	font-size: 15px;
	border: 1px solid black;
}
.txtinput, .multiline, .submit {
	/* "font-family" must be repeated for input tags */
	color: #804040;
	background-color: #f0dcc8;
	font-family: {$mainFont};
	font-size: 11px;
	border: 1px solid black;
}
.infotable {
	color: #804040;
	font-size: 15px;
}
.commenttitle {
	background-color: #DCC8B4;
	font-size: {$divFontSize};
	border: 1px solid black;
}
.commentpost {
	color: #804040;
	background-color: #f0dcc8;
	font-size: {$divFontSize};
	border-width: 0 1px 1px 1px;
	border-color: black;
	border-style: solid;
}
.footertable {
	background-color: #B4A08C;
	font-size: 11px;
	border-color: black;
	border-width: 1px 0 1px 0;
	border-style: solid;
}
</style>

EOF;
?>